{smcl}
{* 17july2009}{...}

{cmd:Automated Individualized Student Assessment: August 2009}{right:{cmd:Stas Kolenikov}}
{hline}

{phang}1. Overview of {help aisa}{p_end}

{phang}2. Instructor's tasks (Stas, {stata do aisa-talk-prepare:do the prep work}!){p_end}
{pmore}2a. prepare the text of the assignment: {browse test2.html}{p_end}
{pmore}2b. prepare the data for an assignment: {stata view data-test2.do:view},
{stata do data-test2.do:run once}, {stata aisa data test2, replace:run all} (Stas, delete {bf:test2} directory!){p_end}
{pmore}2c. prepare the keys for an assignment: {stata view key-test2.do:view},
{stata aisa keys test2, replace:run all}{p_end}

{phang}3. Students' tasks{p_end}
{pmore}3a. using {help post}: {stata view johndoe-test2-post.do:view}, {stata do johndoe-test2-post.do:run}{p_end}
{pmore}3b. using {help input}: {stata view johndoe-test2-input.do:view}, {stata do johndoe-test2-input.do:run}{p_end}

{phang}4. Instructor's tasks{p_end}
{pmore}4a. grade an individual assignment: {stata aisa check test2 99999, verbose replace:John Doe}
       ({stata copy answers-test2-99999.dta test2/answers-test2-99999.dta:copy John Doe's file}),
       {stata aisa check test2 537909, verbose replace:a real student}
       ({stata copy answers-test2-537909.dta test2/answers-test2-537909.dta:copy the student's file}),
       {p_end}
{pmore}4b. grade all: {stata aisa check test2, replace:run}
       ({stata ! xcopy test2.with.results test2\:copy all}){p_end}
{pmore}4c. add to the grade book: {stata aisa update test2:run}{p_end}
{pmore}4d. publish the grades: view {browse test2-results.html}, {stata aisa gradebook test2, nomissing:run}{p_end}

{title:Author}

Stas Kolenikov, {browse "mailto:skolenik@gmail.com":skolenik@gmail.com}
