* single sample tests
ttest x = 2.7

* sample mean
post AISA_post ( 1 ) ( r(mu_1) ) ( 0.001 )

* p-value
post AISA_post ( 2 ) ( r(p) ) ( 0.001 )

* reject at 5% level?
post AISA_post ( 3 ) ( (r(p) < 0.05) ) ( 0 )

* CI
post AISA_post ( 4 ) ( r(mu_1) - invttail( r(df_t), 0.05) * r(se) ) ( 0.001 )
post AISA_post ( 5 ) ( r(mu_1) + invttail( r(df_t), 0.05) * r(se) ) ( 0.001 )

* binomial test
replace group = group - 1

bitest group = 0.5
* p-value
post AISA_post ( 6 ) ( r(p_u) ) ( 0.001 )
* decision
post AISA_post ( 7 ) ( (r(p) < 0.10 ) ) ( 0 )

* two-sample test
ttest y, by(group)
* means
post AISA_post ( 8 ) ( r(mu_1) ) ( 0.001 )
post AISA_post ( 9 ) ( r(mu_2) ) ( 0.001 )
post AISA_post ( 10 ) ( r(mu_1)-r(mu_2) ) ( 0.001 )
* t-statistic
post AISA_post ( 11 ) ( r(t) ) ( 0.001 )
post AISA_post ( 12 ) ( r(df_t) ) ( 0.001 )
local reject_eq = ( r(p)<0.10 )
post AISA_post ( 13 ) ( `reject_eq' ) ( 0 )

* two-sample test
ttest y, by(group) unequal
* means
post AISA_post ( 14 ) ( 0 ) ( 0 )
* t-statistic
post AISA_post ( 15 ) ( r(t) ) ( 0.001 )
post AISA_post ( 16 ) ( r(df_t) ) ( 0.001 )
local reject_uneq = ( r(p)<0.10 )
post AISA_post ( 17 ) ( `reject_uneq' ) ( 0 )

* does it matter?
post AISA_post ( 18 ) ( abs(`reject_eq'-`reject_uneq') ) ( 0 )

exit
